
Redmine - Defect #4922

blank page appear often when creating new issus

2010-02-24 17:07 - gald arion

Status: Closed Start date: 2010-02-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

with redmine hosted by webrick, blank page often appear when creating new issus

and sometimes on other pages

History

#1 - 2010-02-24 17:13 - gald arion

sorry i forgot informations,

- mysql server 5.0.67

- ruby 1.8.7 p72

- rails 2.3.5

#2 - 2010-02-24 21:56 - Jean-Philippe Lang

Can not reproduce.

#3 - 2010-03-02 09:25 - Anonymous

I cannot reproduce either. Suggesting to close issue...

#4 - 2010-03-04 11:56 - jw jw

This is definitely a real issue. I'm getting this in both firefox 3.6 and IE8 on win7

Ruby 1.8.7

redmine 0.9.2.devel

It happens when you create a new issue, or update an existing one. About 4 out of 5 times it will work correctly and 1 in 5 times it will produce a blank

page.

#5 - 2010-03-10 14:46 - Minh-Quân Tran

This issue happens to me frequently when I update a ticket

In Apache log, I got a error code 500

This issue happens when I use either apache with passenger or apache proxy redirection with webrick

[26/Feb/2010:10:57:01 +0100] "POST /issues/787/edit HTTP/1.1" 500 576 "https://xxxxxxxxx/issues/787"

#6 - 2010-06-16 12:53 - Anthony Cartmell

I'm been getting this too, with webrick, since I updated from redmine 0.8 to 0.9.

Opera 10.53

Ruby 1.8.6

Redmine 0.9.4.stable.3764

It appears that the redirect from /issues/nnn/edit to /issues/nnn fails, when you submit an update to an issue. The changes are committed to the

database, so nothing is lost, you just see a blank page at the /edit URL rather than seeing the issue page.

Sadly the effect appears to be completely random, so not easy to narrow down. It happens often enough to be annoying!

#7 - 2010-07-22 11:41 - Anthony Cartmell

Still a problem now that I've upgraded to 1.0.0.stable.3859
Opera 10.60 / FireFox 3.6.6

Ruby 1.8.6

Redmine 1.0.0.stable.3859

Because of this I can't change the filters on the Issue view, and often when editing an issue I get a blank page on submitting the changes :(

#8 - 2010-07-22 11:52 - Anthony Cartmell

- Status changed from New to Resolved

Found the fix, thanks to the message boards!

http://www.redmine.org/boards/2/topics/15462

If running with webrick, add the "-d" command-line switch to make the server run as a daemon. This fixes the random blank pages and the filtering

issue.

#9 - 2010-08-08 22:47 - Jean-Baptiste Barth

- Status changed from Resolved to Closed

- Priority changed from High to Normal

- Affected version (unused) deleted (0.9.2)

- Resolution set to Invalid

- Affected version deleted (0.9.2)

Closing it as it's was a hosting problem and it's solved
